pydo.uptime.update_check()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.uptime.update_check(
check_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
body={
"name": "Landing page check",
"type": "https",
"target": "https://www.landingpage.com",
...,
},
)Description
To update the settings of an Uptime check, send a PUT request to /v2/uptime/checks/{check_id}.
Parameters
check_idstring requiredA unique identifier for a check.
namestring optionalExample:
Landing page checkA human-friendly display name.
typestring optionalThe type of health check to perform.
targetstring optionalExample:
https://www.landingpage.comThe endpoint to perform healthchecks on.
regionsarray of strings optionalExample:
['us_east', 'eu_west']An array containing the selected regions to perform healthchecks from.
enabledboolean optionalExample:
TrueA boolean value indicating whether the check is enabled/disabled.
Request Sample
Response Example
More Information
See /v2/uptime/checks/{check_id} in the API reference for additional detail on responses, headers, parameters, and more.